Bug 499836 - Keyboard does not work at the GRUB menu
Keyboard does not work at the GRUB menu
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
12
All Linux
medium Severity high
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-08 10:13 EDT by Chris Tyler
Modified: 2013-06-22 11:56 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:54:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
hardware configuration information (25.56 KB, text/plain)
2009-05-08 10:13 EDT, Chris Tyler
no flags Details
grub configuration file (661 bytes, application/octet-stream)
2009-05-08 10:14 EDT, Chris Tyler
no flags Details
system config (16.00 KB, text/plain)
2009-05-10 16:14 EDT, john cooper
no flags Details
grub.conf (973 bytes, text/plain)
2009-05-10 16:15 EDT, john cooper
no flags Details

  None (edit)
Description Chris Tyler 2009-05-08 10:13:35 EDT
Created attachment 343093 [details]
hardware configuration information

Description of problem:
- Keyboard does work for BIOS settings, to access the grub menu, and post-boot
- Keyboard does not work when the grub boot menu is displayed on the screen

Version-Release number of selected component (if applicable):
 grub-0.97-50.fc11.x86_64

Steps to Reproduce:
1. Install F11-preview, enabling 'rawhide' repo during installation
2. Hold down shift key during boot to bring up the grub menu
  
Actual results:
- Cannot use keyboard while grub menu is displayed (e.g., for entry selection, or to press 'a' to append kernel boot args)

Expected results:
- Keyboard should be useful for accessing the menu

Additional info:
Intel DQ35J0 mainboard with Keytronic USB keyboard directly connected. Note that this particular mainboard does not have PS/2 ports, so only USB keyboards may be used. USB legacy device emulation is enabled in BIOS.

Details of the hardware configuration are contained in the 'lshw.txt' file attached.
Comment 1 Chris Tyler 2009-05-08 10:14:27 EDT
Created attachment 343094 [details]
grub configuration file
Comment 2 john cooper 2009-05-10 16:13:04 EDT
I've seen this recently on two Gigabyte mobos with F11-preview
and grub-0.97-50.fc11.x86_64.  Tried both ps/2 and USB keyboards
directly connected to the box with same results.  lshw from
one of the mobos attached.
Comment 3 john cooper 2009-05-10 16:14:55 EDT
Created attachment 343297 [details]
system config
Comment 4 john cooper 2009-05-10 16:15:56 EDT
Created attachment 343298 [details]
grub.conf
Comment 5 Michael Schwendt 2009-05-31 14:21:51 EDT
Same as bug 484546?
Comment 6 Bug Zapper 2009-06-09 11:27:22 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-04-27 10:13:38 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-11-04 07:15:56 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-12-05 01:54:40 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 10 Chuck Forsberg 2013-06-22 11:56:09 EDT
This bug is back in Fedora 19.
A workaroud is to use a USB to PS2 serial converter.

Note You need to log in before you can comment on or make changes to this bug.